# $Revision: 1.26 $, $Date: 2002/02/22 09:47:11 $
Summary:	GNU ispell - interactive spelling checker
Summary(de):	GNU ispell - interaktive Rechtschreibprfung
Summary(fr):	ispell de GNU - vrificateur orthographique interactif
Summary(pl):	GNU ispell - interaktywny program do sprawdzania pisowni
Summary(ru):	GNU ispell -    
Summary(tr):	Etkilmli yazm denetleyici
Summary(uk):	GNU ispell -   צ Ʀ
Name:		ispell
Version:	3.1.20
Release:	35
License:	BSD
Group:		Applications/Text
Group(cs):	Aplikace/Text
Group(da):	Programmer/Tekst
Group(de):	Applikationen/Text
Group(es):	Aplicaciones/Texto
Group(fr):	Applications/Texte
Group(is):	Forrit/Texti
Group(it):	Applicazioni/Testo
Group(ja):	ץꥱ/ƥ
Group(no):	Applikasjoner/Tekst
Group(pl):	Aplikacje/Tekst
Group(pt):	Aplicaes/Texto
Group(ru):	/ 
Group(sl):	Programi/Besedilo
Group(sv):	Tillmpningar/Text
Group(uk):	Φ /צ ̦
Source0:	ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.gz
Source1:	spell
Patch0:		%{name}-config.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-termio.patch
Patch3:		%{name}-mask.patch
Patch4:		%{name}-mask.axp.patch
Patch5:		%{name}-gets.patch
Patch6:		%{name}-german.patch
Patch7:		%{name}-ncurses.patch
Patch8:		%{name}-munchlist.patch
Patch9:		%{name}-no-EXTRADICT.patch
Patch10:	%{name}-glibc.patch
Patch11:	%{name}-config2.patch
Patch12:	%{name}-texlongspace.patch
Patch13:	%{name}-isohtml.patch
BuildRequires:	bison
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GNU interactive spelling checker. You can run it on text
files and it will interactively spell check. This means it will tell
you about words it doesn't know, and will suggest alternatives when it
can.

%description -l de
Dies ist die interaktive GNU-Rechtschreibprfung. Sie kann auf
Textdateien angewendet werden und prft interaktiv auf orthographische
Fehler. Das heit, das Programm meldet, Mglichkeit eine Alternative
vor.

%description -l fr
Le correcteur orthographique interactif de GNU. Vous pouvez le lancer
sur des fichiers texte et il les vrifiera de manire interactive.
Cela sisgnifie qu'il vous indiquera les mots qu'il ne reconnait pas et
vous proposera des solutions de remplacement s'il le peut.

%description -l pl
Program ten to interaktywny pakiet do sprawdzania pisowni. Mona
uywa go do sprawdzania pisowni plikw tekstowych. Dziaa on w ten
sposb, e informuje o napotkanych, nieznanych sowach i sugeruje ich
zamienniki znajdujce si w sowniku.

%description -l uk
Ispell -    צ Ʀ GNU. Ispell
צѤ     Ʀ .  
 ,    ,  դ ˦ 
 Φ   ͦ.

Φ ,    ͦ   צ.  
Ҧ      ˦   ,
Φ Ԧ     צ.

%description -l tr
ispell, metin dosyalar zerinde szck yazm denetimleri yapan ve
hatal olduunu dnd szckleri kullancya bildirerek
etkileimli olarak dzeltilmesine alan bir yazlmdr. Dzeltme
nerilerinde bulunma yetenei de vardr.

%description -l ru
Ispell -      GNU. Ispell
        .
   ,    ,  
      .

 ,       ,
          ,
      .

%prep
%setup -q -n %{name}-3.1

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%ifarch alpha
%patch4 -p1
%endif

%patch5 -p0
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
sed "s/CFLAGS \"-O\"/CFLAGS \"%{rpmcflags}\"/" <local.h >local.h.tmp
mv -f local.h.tmp local.h

# Make config.sh first
PATH=.:$PATH %{__make} config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp -f config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT%{_prefix}/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
PATH=.:$PATH TEMLIB="-lncurses" %{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_infodir},%{_libdir}/emacs/site-lisp}

# Roll in the build-root'ed version (with time-stamp!)
mv -f config.sh.INSTALL config.sh
PATH=.:$PATH %{__make} install

install ispell.info $RPM_BUILD_ROOT%{_infodir}/ispell.info
install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%preun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README.gz

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_libdir}/ispell
%{_infodir}/ispell.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ispell.spec,v $
Revision 1.26  2002/02/22 09:47:11  kloczek
- release 35: removed buggy noprotosplease2 patch (causes compilation
  failing on axp).

Revision 1.25  2002/02/21 04:05:29  kloczek
- release 34,
- merge noprotosplease2, jbj, isohtml patches from rawhide,
- remove /sbin/install-info from Prereq,
- merge translations from KSI.

Revision 1.24  2002/02/16 12:33:19  malekith
- rel 16
- license is got damn BSD not GPL
- i still don't know why it's GNU Ispell... (but I left it)
- adapterized

Revision 1.23  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.22  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/25 12:01:35  qrczak
- ispell-config2.patch: fix paths of installed files

Revision 1.20  2001/10/13 22:16:06  qboosh
- glibc patch - don't #define bzero/bcopy etc.
- added YACC="bison -y" to config patch, fixed config patch, BuildReq: bison
- info patch now fixes ispell.texinfo so it can be rebuild
  (removed separate ispell.info; fixed FHS in config patch; BuildReq: texinfo)
- release 15

Revision 1.19  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.18  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/09/04 19:13:19  baggins
- release 14
- added no-EXTRADICT patch

Revision 1.16  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.14  1999/09/16 14:25:53  wiget
- typo

Revision 1.13  1999/09/16 13:54:26  wiget
- added missing %%patch8

Revision 1.12  1999/09/16 13:51:15  wiget
- added ispell-munchlist.patch

Revision 1.11  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Micha Kuratczyk <kura@pld.org.pl>
  [3.1.20-12]
- gzipping documentation instead bzipping
- fixed Group(pl)
- cosmetic changes for common l&f

* Sun Dec 20 1998 Artur Frysiak <wiget@usa.net>
- add missing -l pl to polish %%description
- change source name to %%{name}-%%{version}.tar.gz
- change man pages group to man
- change BuildRoot to /var/tmp/%%{name}-%%{version}-%%{release}-root
- split ispell-2.1.30-mask.patch to ispell-mask.axp.patch and ispell-mask.patch
- add ispell-gets.patch
-- remove posible buffer overflow in sq/unsq

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
